Bug 19568 - Wrong html filter used in opac-opensearch.tt url
Summary: Wrong html filter used in opac-opensearch.tt url
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19552 20286
  Show dependency treegraph
 
Reported: 2017-11-02 19:59 UTC by Jonathan Druart
Modified: 2018-04-10 07:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19568: Escape url params with url filter - opac-opensearch.tt (4.49 KB, patch)
2017-11-02 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19568: Escape url params with url filter - opac-opensearch.tt (4.55 KB, patch)
2017-11-19 21:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19568: Escape url params with url filter - opac-opensearch.tt (4.64 KB, patch)
2017-11-27 12:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19568: Escape url params with url filter - opac-opensearch.tt (4.68 KB, patch)
2017-12-08 18:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-11-02 19:59:06 UTC

    
Comment 1 Jonathan Druart 2017-11-02 20:01:08 UTC
150084 Unencoded character
Comment 2 Jonathan Druart 2017-11-02 20:06:42 UTC
Created attachment 68899 [details] [review]
Bug 19568: Escape url params with url filter - opac-opensearch.tt
Comment 3 Katrin Fischer 2017-11-19 21:27:15 UTC
Created attachment 69219 [details] [review]
Bug 19568: Escape url params with url filter - opac-opensearch.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Marcel de Rooy 2017-11-27 12:59:30 UTC
Created attachment 69375 [details] [review]
Bug 19568: Escape url params with url filter - opac-opensearch.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2017-12-08 18:01:26 UTC
Created attachment 69652 [details] [review]
Bug 19568: Escape url params with url filter - opac-opensearch.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Chris Cormack 2017-12-20 23:59:01 UTC
Pushed to 16.11.x will be in 16.11.15
Comment 7 Nick Clemens 2017-12-22 10:56:59 UTC
Pushed to stable for 17.11.01
Comment 8 Fridolin SOMERS 2018-01-04 09:14:59 UTC
Pushed to 17.05.x for 17.05.07
Comment 9 Jonathan Druart 2018-01-09 20:30:11 UTC
Pushed to master for 18.05, thanks to everybody involved!